package generics;

import java.util.ArrayList;

public class Stack<T>
{
	private ArrayList<T> elements;
	
	public Stack() {
		elements = new ArrayList<>();
	}
	
	public void push(T element) {
		elements.add(element);
	}
	
	public void pop(T element) {
		elements.remove(element);
	}
	
	public T peek() {
		if (isEmpty())
			return null;
		else
			return elements.get(elements.size()-1);
	}
	
	public boolean isEmpty() {
		if (elements.size() >= 1)
			return false;
		else
			return true;
	}
	
	public void print() {
		System.out.print("[ ");
		for (T t : elements)
		{
			System.out.print(t + "; ");
		}
		System.out.println("]");
	}
}
