package kreisel;

import java.awt.Graphics;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JPanel;
import javax.swing.Timer;

public class Abc extends JPanel
{
	Kreisel k1 = new Kreisel(500, 500, Math.random()*15, Math.random()*360, 30);
	Kreisel k2 = new Kreisel(200, 200, Math.random()*15, Math.random()*360, 70);
	
	public Abc()
	{
		Timer tmer = new Timer(30, new ActionListener()
		{

			@Override
			public void actionPerformed(ActionEvent aE)
			{
				k1.move();
				k2.move();
				checkBallCollision();
				repaint();
			}
		});
		tmer.start();
	}
	
	public void checkBallCollision() {
		double x1 = k1.x;
		double y1 = k1.y;
		double x2 = k2.x;
		double y2 = k2.y;
		
		if (Math.abs(x1-x2) <= Math.max(k1.size, k2.size))
		if (Math.abs(y1-y2) <= Math.max(k1.size, k2.size)) {
			k1.xColl();
			k1.yColl();
			k2.xColl();
			k2.yColl();
		}
	}
	
	@Override
	protected void paintComponent(Graphics aG)
	{
		super.paintComponent(aG);

		k1.draw(aG);
		k2.draw(aG);
	}
}
