package synchro;

public class CounterThread extends Thread
{
	private Counter counter;
	private String name;
	
	public CounterThread(Counter counter, String name)
	{
		this.counter = counter;
		this.name = name;
	}
	
	@Override
	public void run()
	{
		for(int i = 0; i < 1000; i++) {
			synchronized (counter)
			{
				counter.increment();
				System.out.printf("%s: %d\n", name, counter.getValue());
			}
		}
	}
}
