package awd;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

public class AddressBook
{
	List<AddressEntry> adressBook = new ArrayList<AddressEntry>();

	public void add(AddressEntry input)
	{
		adressBook.add(input);
	}

	public void remove(AddressEntry remove)
	{
		adressBook.remove(remove);
	}

	public Object[] getAllEntries() {
		return adressBook.toArray();
	}
	
	public AddressEntry findByeMail(String eMail)
	{
		for (AddressEntry x : adressBook)
		{
			if (x.geteMail().equals(eMail))
				return x;
		}
		return null;
	}

	public AddressEntry findByeTelNr(String telNr)
	{
		for (AddressEntry x : adressBook)
		{
			if (x.getTelNr().equals(telNr))
				return x;
		}
		return null;
	}

	public void sort()
	{
		Collections.sort(adressBook, new Comparator<AddressEntry>() {
		    @Override
		    public int compare(AddressEntry o1, AddressEntry o2) {
		        return o1.getFirstName().compareTo(o2.getFirstName());
		    }
		});
	}
}
