package phonebook;

import java.util.ArrayList;

public class Main {
	public static void main(String[] args)
	{
		Telefonbuch telbuch = new Telefonbuch();
		Person p1 = new Person("Daniel", "11.07.2005");
		Person p2 = new Person("Franz", null);
		Person p3 = new Person("Gunther", "11.07.2005");
		Person p4 = new Person("Alex", "11.07.2005");
		Person p5 = new Person("Mensch", "11.07.2005");
		Person p6 = new Person("Mensch2", "11.07.2005");
		
		telbuch.add(p1);
		telbuch.add(p2);
		telbuch.add(p3);
		telbuch.add(p4);
		telbuch.add(p5);
		telbuch.add(p6);
	}
}

class Telefonbuch
{
	private int n = 5;
	private ArrayList<Person> telefonbuch;
	
	public Telefonbuch()
	{
		telefonbuch = new ArrayList<>();
	}
	
	public void add(Person p) {
		try
		{
			if (telefonbuch.size() >= n)
				throw new ZuGrossException(p.name);
			
			telefonbuch.add(p);
		} catch (ZuGrossException e)
		{
			e.printStackTrace();
		}
	}
	
	public void remove(Person p) {
		telefonbuch.remove(p);
	}
}

class Person {
	String name;
	String geburtsdatum;
	
	public Person (String name, String geb) {
		try
		{
			this.name = name;
			if (geb == null)
				throw new GeburtstagsException(name);
			this.geburtsdatum = geb;
		} catch (GeburtstagsException e)
		{
			e.printStackTrace();
		}
	}
}

class ZuGrossException extends Exception{
	public ZuGrossException(String name) {
		System.out.printf("Das Telefonbuch ist voll, lösche Einträge, um neue hinzuzufügen! (\"%s\")\n", name);
	}
}

class GeburtstagsException extends Exception{
	public GeburtstagsException(String name)
	{
		System.out.printf("Geburtstag darf nicht leer sein!!! \nGeburtstag auf 01.01.1970 gesetzt. (\"%s\")\n", name);
	}
}