package serialisation;

import java.io.*;
import java.sql.*;

public class O1
{
	public static void main(String[] args)
	{
		try
		{
			FileOutputStream   fs = new FileOutputStream("test2.ser");
			ObjectOutputStream os = new ObjectOutputStream(fs);
			os.writeInt(147);
			os.writeObject("KillMePls");
			os.writeObject(new Time(1, 2, 1));
			os.writeObject(new Time(25, 65, 89));
			os.writeObject(new SerialisationsZeugs(1, "Daniel", "11.07.2005"));
			os.close();
		} catch (IOException e)
		{
			System.err.println(e.toString());
		}
	}	
}

class SerialisationsZeugs implements Serializable
{
	public int id;
	public String name;
	public String datum;
	
	public SerialisationsZeugs(int id, String name, String datum)
	{
		this.id = id;
		this.name = name;
		this.datum = datum;
	}
	
	@Override
	public String toString()
	{
		return new String().format("%d %s %s",id , name, datum);
	}
}